- Qt 6.8
- Qt Sensors
- C++ Classes
- QOrientationFilter
- Qt 6.8.0 Reference Documentation

# QOrientationFilter Class

The QOrientationFilter class is a convenience wrapper around QSensorFilter. More...

Header: | #include <QOrientationFilter>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Sensors) target_link_libraries(mytarget PRIVATE Qt6::Sensors)
qmake: | QT += sensors
Inherits: | QSensorFilter

- List of all members, including inherited members

## Public Functions

virtual bool | filter(QOrientationReading *reading) = 0

## Detailed Description

The only difference is that the filter() method features a pointer to QOrientationReading instead of QSensorReading.

## Member Function Documentation

### `[pure virtual]` bool QOrientationFilter::filter(QOrientationReading *reading)

Called when reading changes. Returns false to prevent the reading from propagating.

See also QSensorFilter::filter().